import argparse
from openscad_pycustomizer import scad_parser
import json

parser = argparse.ArgumentParser(description='Process some integers.')
parser.add_argument('file', metavar='N', type=str,
                    help='The .scad file')

args = parser.parse_args()

print(json.dumps(
    scad_parser.parse(args.file),
    cls=scad_parser.CustomizerProfileEncoder,
    indent=4
))
